@import "../../../global.scss";

.navLink {
  display: inline-block;
  padding: $sml-mg;
  margin: 0 $sml-mg;

  &:first-child {
    margin-left: 0;
  }
  &:last-child {
    margin-right: 0;
  }
  &:hover {
    .text {
      color: $green;
      border-color: $green;
    }
    .dropDown {
      opacity: 1;
      pointer-events: auto;
      border-bottom: 1.5 solid $green;
    }
  }
  .active {
    .text {
      border-color: $green;
      color: $green;
    }
  }
  .text {
    color: $dark-green;
    border-bottom: 1.5pt solid transparent;
    padding: $sml-mg;
    transition: all 0.3s ease;
  }
  .dropDown {
    opacity: 0;
    pointer-events: none;
    position: absolute;
    padding: $med-mg;
    border: 1px solid $med-grey;
    margin-top: $sml-mg;
    transform: translate(0, 0);
    background-color: $very-light-grey;
    transition: all 0.3s ease;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    .field {
      display: inline-block;
      margin: $sml-mg;
      color: $dark-green;
      display: block;
      transition: all 0.1s ease;
      &:hover {
        color: $green;
      }
      .title {
        margin-bottom: $sml-mg;
        display: inline-block;
        text-transform: capitalize;
        transition: all 0.1s ease;

        &:hover {
          color: $green;
        }
      }
  
    }
  }
}

@media (max-width: 1440px) {
  .navLink {
    margin: 0;
    .text {
      font-size: $book-font - 1;
    }
  }
}

@media (max-width: 1300px) {
  .navLink {
    margin: 0;
    .text {
      padding: 0;
      font-size: $book-font - 2;
    }
  }
}
